Transfers - Initiate
向另一计费帐户中的用户发送请求,以转移其订阅的计费所有权。 该操作仅支持协议类型为Microsoft客户协议的计费帐户。
PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/transfers/{transferName}?api-version=2024-04-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
billing
|
path | True |
string pattern: ^([0-9]+|([Pp][Cc][Nn]\.[A-Za-z0-9]+)|[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}(:[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}_[0-9]{4}(-[0-9]{2}){2})?)$ |
唯一标识计费帐户的 ID。 |
|
billing
|
path | True |
string pattern: ^[a-zA-Z\d-_]{1,128}$ |
唯一标识计费配置文件的 ID。 |
|
invoice
|
path | True |
string pattern: ^[a-zA-Z\d-_]{1,128}$ |
唯一标识发票科目的 ID。 |
|
transfer
|
path | True |
string pattern: ^[a-z0-9]*$ |
唯一标识传输请求的 ID。 |
|
api-version
|
query | True |
string |
要用于客户端请求的 API 的版本。 当前版本为 2024-04-01。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| properties.recipientEmailId |
string |
向其发送转移请求的收件人的电子邮件 ID。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
发起的传输详细信息。 |
|
| 201 Created |
发起的传输详细信息。 |
|
| Other Status Codes |
意外错误。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
InitiateTransfer
示例请求
PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/billingProfiles/xxxx-xxxx-xxx-xxx/invoiceSections/yyyy-yyyy-yyy-yyy/transfers/aabb123?api-version=2024-04-01
{
"properties": {
"recipientEmailId": "user@contoso.com"
}
}
示例响应
{
"id": "/providers/Microsoft.Billing/BillingAccounts/10000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/billingProfiles/xxxx-xxxx-xxx-xxx/invoiceSections/yyyy-yyyy-yyy-yyy/transfers/aabb123",
"name": "aabb123",
"type": "Microsoft.Billing/transfers",
"properties": {
"expirationTime": "2018-11-05T17:32:28Z",
"transferStatus": "Pending",
"recipientEmailId": "user@contoso.com",
"initiatorEmailId": "xyz@contoso.com"
}
}
{
"id": "/providers/Microsoft.Billing/BillingAccounts/10000000-0000-0000-0000-000000000000:00000000-0000-0000-0000-000000000000_2019-05-31/billingProfiles/xxxx-xxxx-xxx-xxx/invoiceSections/yyyy-yyyy-yyy-yyy/transfers/aabb123",
"name": "aabb123",
"type": "Microsoft.Billing/transfers",
"properties": {
"expirationTime": "2018-11-05T17:32:28Z",
"transferStatus": "Pending",
"recipientEmailId": "user@contoso.com",
"initiatorEmailId": "xyz@contoso.com"
}
}
定义
| 名称 | 说明 |
|---|---|
|
created |
创建资源的标识的类型。 |
|
Detailed |
详细的传输状态。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Initiate |
请求参数以启动传输。 |
|
product |
传输状态。 |
|
product |
转移的产品的类型。 |
|
system |
与创建和上次修改资源相关的元数据。 |
|
Transfer |
传输的详细信息。 |
|
Transfer |
传输执行的错误详细信息。 |
|
transfer |
总体传输状态。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DetailedTransferStatus
详细的传输状态。
| 名称 | 类型 | 说明 |
|---|---|---|
| errorDetails |
传输执行的错误详细信息。 |
|
| productId |
string |
已转移的产品的 ID。 |
| productName |
string |
转移的产品的名称。 |
| productType |
已转移的产品的类型。 |
|
| skuDescription |
string |
转移的产品的 SKU。 |
| transferStatus |
传输状态。 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
InitiateTransferRequest
请求参数以启动传输。
| 名称 | 类型 | 说明 |
|---|---|---|
| properties.recipientEmailId |
string |
向其发送转移请求的收件人的电子邮件 ID。 |
productTransferStatus
传输状态。
| 值 | 说明 |
|---|---|
| NotStarted | |
| InProgress | |
| Completed | |
| Failed |
productType
转移的产品的类型。
| 值 | 说明 |
|---|---|
| AzureSubscription | |
| AzureReservation | |
| Department | |
| SavingsPlan | |
| SAAS |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
TransferDetails
传输的详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
资源的名称 |
| properties.canceledBy |
string |
取消转移请求的用户的电子邮件 ID。 |
| properties.detailedTransferStatus |
详细的传输状态。 |
|
| properties.expirationTime |
string (date-time) |
传输请求过期的时间。 |
| properties.initiatorEmailId |
string |
发送传输请求的用户的电子邮件 ID。 |
| properties.recipientEmailId |
string |
向其发送转移请求的用户的电子邮件 ID。 |
| properties.transferStatus |
总体传输状态。 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| tags |
object |
与资源关联的元数据字典。 它可能不会针对所有资源类型进行填充。 支持的最大键/值长度为 256 个字符。 键/值不应为空值,也不应为 null。 键不能包含 <> % & \ ? / |
| type |
string |
资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
TransferError
传输执行的错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误代码。 |
| message |
string |
错误信息。 |
transferStatus
总体传输状态。
| 值 | 说明 |
|---|---|
| Expired | |
| Pending | |
| InProgress | |
| Completed | |
| CompletedWithErrors | |
| Failed | |
| Canceled | |
| Declined |